Package dev.plex.storage.codec

# Class ZonedDateTimeCodec

java.lang.Object
dev.plex.storage.codec.ZonedDateTimeCodec

All Implemented Interfaces:
  `org.bson.codecs.Codec<ZonedDateTime>`, `org.bson.codecs.Decoder<ZonedDateTime>`, `org.bson.codecs.Encoder<ZonedDateTime>`

public class ZonedDateTimeCodec extends Object implements org.bson.codecs.Codec<ZonedDateTime>

## Constructor Summary

Constructors
Constructor
Description
`ZonedDateTimeCodec()`

## Method Summary

Modifier and Type
Method
Description
`ZonedDateTime`
`decode(org.bson.BsonReader reader, org.bson.codecs.DecoderContext decoderContext)`
`void`
`encode(org.bson.BsonWriter writer, ZonedDateTime value, org.bson.codecs.EncoderContext encoderContext)`
`Class<ZonedDateTime>`
`getEncoderClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZonedDateTimeCodec

public ZonedDateTimeCodec()

## Method Details

### decode

public ZonedDateTime decode(org.bson.BsonReader reader, org.bson.codecs.DecoderContext decoderContext)

Specified by:
  `decode` in interface `org.bson.codecs.Decoder<ZonedDateTime>`

### encode

public void encode(org.bson.BsonWriter writer, ZonedDateTime value, org.bson.codecs.EncoderContext encoderContext)

Specified by:
  `encode` in interface `org.bson.codecs.Encoder<ZonedDateTime>`

### getEncoderClass

public Class<ZonedDateTime> getEncoderClass()

Specified by:
  `getEncoderClass` in interface `org.bson.codecs.Encoder<ZonedDateTime>`